/*
  epproc.cc

  Author:  Marco Beijersbergen - cosine / ESA XMM SOC
           Giuseppe Vacanti - cosine / ESA XMM SOC

  Description: Metatask that provides an interface to the EPIC PN pipeline

  $Id: epproc.cc,v 1.35 2000/10/26 14:59:46 gvacanti Exp $
*/

#include "epproc.h" // this task
#include <Epproc.h>
#include <Tracer.h>

void epproc()
{
  PROC

  Epproc p;
  p.selectDataModes();
  p.selectCcds();
  p.selectExposures();
  p.processAttitude();
  p.processHk();

  for(unsigned k=0; k<p.numberOfExposures(); ++k){
    
    p.processExposure(k);

  }

  ENDPROC
}
